---
title: Update an existing network IP service
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/network/update-an-existing-network-ip-service/
product: CloudConnexa Docs
---

# Update an existing network IP service

`PUT /api/v1/networks/ip-services/{id}`

**Update an existing network IP service.**

## Body parameter

```json
{
  "name": "string",
  "description": "string",
  "routes": [
    {
      "value": "string"
    }
  ],
  "config": {
    "serviceTypes": [
      "ANY"
    ],
    "customServiceTypes": [
      {
        "protocol": "TCP",
        "port": [
          {
            "value": 0,
            "lowerValue": 0,
            "upperValue": 0
          }
        ],
        "icmpType": [
          {
            "value": 0,
            "lowerValue": 0,
            "upperValue": 0
          }
        ]
      }
    ]
  },
  "type": "IP_SOURCE"
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | true | none |
| body | body | [ServiceRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/servicerequest.md) | true | none |
| » name | body | string | false | none |
| » description | body | string | false | none |
| » routes | body | \[[ServiceRouteRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/servicerouterequest.md)\] | false | none |
| »» value | body | string | false | none |
| » config | body | [ServiceConfigRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/serviceconfigrequest.md) | false | none |
| »» serviceTypes | body | \[string\] | false | none |
| »» customServiceTypes | body | \[[CustomServiceTypeRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/customservicetyperequest.md)\] | false | none |
| »»» protocol | body | string | false | none |
| »»» port | body | \[[RangeInteger](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/rangeinteger.md)\] | false | none |
| »»»» value | body | integer(int32) | false | none |
| »»»» lowerValue | body | integer(int32) | false | none |
| »»»» upperValue | body | integer(int32) | false | none |
| »»» icmpType | body | \[[RangeInteger](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/rangeinteger.md)\] | false | none |
| » type | body | string | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| »» serviceTypes | ANY |
| »» serviceTypes | CUSTOM |
| »» serviceTypes | BGP |
| »» serviceTypes | DHCP |
| »» serviceTypes | DNS |
| »» serviceTypes | FTP |
| »» serviceTypes | HTTP |
| »» serviceTypes | HTTPS |
| »» serviceTypes | IMAP |
| »» serviceTypes | IMAPS |
| »» serviceTypes | NTP |
| »» serviceTypes | POP3 |
| »» serviceTypes | POP3S |
| »» serviceTypes | SMTP |
| »» serviceTypes | SMTPS |
| »» serviceTypes | SNMP |
| »» serviceTypes | SSH |
| »» serviceTypes | TELNET |
| »» serviceTypes | TFTP |
| »»» protocol | TCP |
| »»» protocol | UDP |
| »»» protocol | ICMP |
| » type | IP\_SOURCE |
| » type | SERVICE\_DESTINATION |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | [IpServiceResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/ipserviceresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get existing network IP service](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/network/get-existing-network-ip-service.md)
Next: [Delete an existing network IP service](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/network/delete-an-existing-network-ip-service.md)
Index: https://openvpn.net/cloud-docs/llms.txt
